//
//  PSItemFormatter.m
//  MHP3SkillSim
//

#import "PSItemType.h"


@implementation PSItemType

+ (NSString*) itemTypeText : (int)itemType
{
    switch(itemType) {
        case ITEM_TYPE_HEAD:
            return @"頭防具";
        case ITEM_TYPE_BODY:
            return @"胴防具";
        case ITEM_TYPE_ARM:
            return @"腕防具";
        case ITEM_TYPE_WEIST:
            return @"腰防具";
        case ITEM_TYPE_LEG:
            return @"脚防具";
        case ITEM_TYPE_DECORATION:
            return @"装飾品";
        case ITEM_TYPE_CHARM:
            return @"お守り";
    }
    return nil;
}

+ (NSString*) genderTypeText : (int)genderType
{
    switch(genderType) {
        case GENDER_TYPE_BOTH:
            return @"男女両用";
        case GENDER_TYPE_MAN:
            return @"男";
        case GENDER_TYPE_WOMAN:
            return @"女";
    }
    return nil;
}

+ (NSString*) hunterTypeText : (int)hunterType
{
    switch (hunterType) {
        case HUNTER_TYPE_ANY:
            return @"剣士ガンナー両用";
    
        case HUNTER_TYPE_SWORD:
            return @"剣士";
        
        case HUNTER_TYPE_GUN:
            return @"ガンナー";
            
    }
    return nil;
}

@end
